Bug 1288277 - claws-mail-plugins-vcalendar needs to be rebuilt for EL7.2
claws-mail-plugins-vcalendar needs to be rebuilt for EL7.2
Status: NEW
Product: Fedora EPEL
Classification: Fedora
Component: claws-mail (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-03 20:07 EST by Anssi Johansson
Modified: 2016-10-05 03:44 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anssi Johansson 2015-12-03 20:07:32 EST
Description of problem:
claws-mail-plugins-vcalendar depends on libicalvcal.so.0, libicalss.so.0 and libical.so.0, provided by libical-0.48-6.el7 in RHEL 7.1.

libical was updated in RHEL 7.2, and the updated libical packages provides libicalvcal.so.1, libicalss.so.1 and libical.so.1. This means claws-mail-plugins-vcalendar will need to be rebuilt against the new library to be usable on RHEL 7.2

Version-Release number of selected component (if applicable):
3.11.1-5.el7

Steps to Reproduce:
1. Upgrade to RHEL 7.2
2. yum install claws-mail-plugins-vcalendar

Actual results:
See yum complain about a missing dependency

Expected results:
claws-mail-plugins-vcalendar gets installed

Additional info:
EPEL7's builders have already been updated to RHEL 7.2, so it probably suffices to just bump the release number and rebuild.
Comment 1 Bill McGonigle 2016-01-20 09:18:56 EST
Rebuilding does work as expected.

I'm not quite sure why but when I installed build dependencies on my 7.2 builder machine via yum-builddep and then built claws-mail, I still got the so.0 vs. so.1 problem upon install on my client machine (fully updated to current -updates).

I downloaded this SRPM:
  http://vault.centos.org/7.2.1511/os/Source/SPackages/libical-1.0.1-1.el7.src.rpm

and built/installed that locally on my builder machine and then built claws-mail again, and then when I installed those RPM's on my client machine (just new claws-mail - libical still stock), it was fine.

The version yum pulled in on the builder was:
  Jan 20 08:31:35 Installed: libical-1.0.1-1.el7.x86_64
  Jan 20 08:32:28 Installed: libical-devel-1.0.1-1.el7.x86_64

and then my rebuild from source produced the same version:

  libical-devel-1.0.1-1.el7.centos.x86_64

so I'm not sure what's going on there.  I'm hesitant to assume there's anything wrong with the stock libical builds, but usually this process is deterministic.
Comment 2 Tony Albers 2016-10-05 03:44:03 EDT
Is the rebuilt package available anywhere?

I'm running into this exact issue on a RHEL 7.2

Thx

Note You need to log in before you can comment on or make changes to this bug.